# Uses of Class
jdk.jshell.JShell

Packages that use JShell
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of JShell in jdk.jshell

Methods in jdk.jshell that return JShell
Modifier and Type
Method
Description
`JShell`
JShell.Builder.`build()`
Builds a JShell state engine.
`static JShell`
JShell.`create()`
Create a new JShell state engine.
Method parameters in jdk.jshell with type arguments of type JShell
Modifier and Type
Method
Description
`JShell.Subscription`
JShell.`onShutdown(Consumer<JShell> listener)`
Register a callback to be called when this JShell instance terminates.